rizamodocs
Inbox

Update a thread

PATCH
/inbox/threads/{id}

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Path Parameters

id*string

Request Body

application/json
  1. body
status?string
Value in"open""done"
unread?boolean
assigneeId?string|null

Response Body

OK

application/json
  1. response
id*string
profileId*string
accountId*string
network*string
Value in"instagram""facebook""threads""linkedin""tiktok""youtube""x""pinterest""google"
kind*string
Value in"comment""dm""mention""review"
contact*
postId*string|null
preview*string
lastMessageAt*string
Formatdate-time
unread*boolean
status*string
Value in"open""done"
assignee*||null
sentiment*string
Value in"positive""neutral""negative"
Example Request
curl -X PATCH 'https://api.rizamo.com/v1/inbox/threads/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
{  "id": "string",  "profileId": "string",  "accountId": "string",  "network": "instagram",  "kind": "comment",  "contact": {    "name": "string",    "handle": "string",    "initials": "string",    "color": "string",    "avatarUrl": "string"  },  "postId": "string",  "preview": "string",  "lastMessageAt": "2019-08-24T14:15:22Z",  "unread": true,  "status": "open",  "assignee": {    "type": "agent",    "agent": "claude",    "name": "string"  },  "sentiment": "positive"}